%define upstream_name    Regexp-Common-time
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Date and time regexps
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Modern::Perl)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Test::More) >= 0.400.0
BuildArch:  noarch

%description
This module creates regular expressions that can be used for parsing dates
and times. See the Regexp::Common manpage for a general description of how
to use this interface.

Parsing dates is a dirty business. Dates are generally specified in one of
three possible orders: year/month/day, month/day/year, or day/month/year.
Years can be specified with four digits or with two digits (with
assumptions made about the century). Months can be specified as one digit,
two digits, as a spelled-out name, or as a three-letter abbreviation. Day
numbers can be one digit or two digits, with limits depending on the month
(and, in the case of February, even the year). Also, different people use
different punctuation for separating the various elements.

A human can easily recognize that "October 21, 2005" and "21.10.05" refer
to the same date, but it's tricky to get a program to come to the same
conclusion. This module attempts to make it possible to do so, with a
minimum of difficulty.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.160.0-4.mga9
+ Revision: 1810170
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.160.0-3.mga8
+ Revision: 1506138
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.160.0-2.mga7
+ Revision: 1285949
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 shlomif <shlomif> 0.160.0-1.mga7
+ Revision: 1210693
- New version 0.16

* Sun Jan 28 2018 shlomif <shlomif> 0.150.0-1.mga7
+ Revision: 1197664
- update to 0.15

* Tue Oct 03 2017 tv <tv> 0.140.0-2.mga7
+ Revision: 1166401
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.140.0-1.mga7
+ Revision: 1160718
- new release

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-5.mga6
+ Revision: 1032794
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.70.0-4.mga6
+ Revision: 939108
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-3.mga5
+ Revision: 743439
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-2.mga5
+ Revision: 686098
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 sander85 <sander85> 0.70.0-1.mga5
+ Revision: 674158
- update to 0.07

* Wed Aug 27 2014 sander85 <sander85> 0.60.0-1.mga5
+ Revision: 668740
- update to 0.06

* Tue Feb 04 2014 shlomif <shlomif> 0.50.0-1.mga5
+ Revision: 581278
- New version 0.05

* Fri Dec 20 2013 sander85 <sander85> 0.40.0-3.mga4
+ Revision: 559100
- Fix build
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 372295
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.40.0-1.mga3
+ Revision: 335128
- imported package perl-Regexp-Common-time


* Tue Dec 25 2012 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
